Skip to main content
POST
https://{tenantDomain}/api/v2
/
emails
/
provider
C#
using Auth0.ManagementApi;
using System.Threading.Tasks;
using Auth0.ManagementApi.Emails;

public partial class Examples
{
    public async Task Example() {
        var client = new ManagementClient(
            token: "<token>"
        );

        await client.Emails.Provider.CreateAsync(
            new CreateEmailProviderRequestContent {
                Name = EmailProviderNameEnum.Mailgun,
                Credentials = new EmailProviderCredentialsSchemaZero {
                    ApiKey = "api_key"
                }
            }
        );
    }

}
{
  "name": "sendgrid",
  "enabled": true,
  "default_from_address": "<string>",
  "credentials": {
    "api_user": "<string>",
    "region": "<string>",
    "smtp_host": "<string>",
    "smtp_port": 123,
    "smtp_user": "<string>"
  },
  "settings": {}
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

name
enum<string>
required

Name of the email provider. Can be mailgun, mandrill, sendgrid, resend, ses, sparkpost, smtp, azure_cs, ms365, or custom.

Available options:
mailgun,
mandrill,
sendgrid,
resend,
ses,
sparkpost,
smtp,
azure_cs,
ms365,
custom
credentials
object
required

Credentials required to use the provider.

enabled
boolean
default:true

Whether the provider is enabled (true) or disabled (false).

default_from_address
string

Email address to use as "from" when no other address specified.

settings
object

Specific provider setting

Response

Email provider successfully created.

name
string
default:sendgrid

Name of the email provider. Can be mailgun, mandrill, sendgrid, resend, ses, sparkpost, smtp, azure_cs, ms365, or custom.

enabled
boolean
default:true

Whether the provider is enabled (true) or disabled (false).

default_from_address
string

Email address to use as "from" when no other address specified.

credentials
object

Credentials required to use the provider.

settings
object

Specific provider setting